package sun.java2d.d3d;

import java.awt.geom.AffineTransform;
import sun.java2d.pipe.Region;
import java.awt.Composite;
import sun.java2d.SurfaceData;
import sun.java2d.loops.CompositeType;
import sun.java2d.loops.SurfaceType;
import sun.java2d.loops.TransformBlit;

class D3DSwToSurfaceTransform extends TransformBlit
{
    private int typeval;
    
    D3DSwToSurfaceTransform(SurfaceType srctype, int typeval) {
        super(srctype, CompositeType.AnyAlpha, D3DSurfaceData.D3DSurface);
        this.typeval = typeval;
    }
    
    @Override
    public void Transform(SurfaceData surfaceData, SurfaceData surfaceData2, Composite composite, Region region, AffineTransform affineTransform, int n, int n2, int n3, int n4, int n5, int n6, int n7) {
        D3DBlitLoops.Blit(surfaceData, surfaceData2, composite, region, affineTransform, n, n2, n3, n2 + n6, n3 + n7, (double)n4, (double)n5, (double)(n4 + n6), (double)(n5 + n7), this.typeval, false);
    }
}
